New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Building failed on GHC 8.0.2 #641

Open
pe200012 opened this Issue May 13, 2018 · 5 comments

Comments

Projects
None yet
5 participants
@pe200012

pe200012 commented May 13, 2018

[ 1 of 24] Compiling Data.Attoparsec.Time.Internal ( attoparsec-iso8601/Data/Attoparsec/Time/Internal.hs, dist/build/Data/Attoparsec/Time/Internal.o )
[ 2 of 24] Compiling Data.Attoparsec.Time ( attoparsec-iso8601/Data/Attoparsec/Time.hs, dist/build/Data/Attoparsec/Time.o )
[ 3 of 24] Compiling Data.Aeson.Types.Internal ( Data/Aeson/Types/Internal.hs, dist/build/Data/Aeson/Types/Internal.o )

Data/Aeson/Types/Internal.hs:397:17: error:
    • Can't find interface-file declaration for type constructor or class Language.Haskell.TH.Lib.ExpQ
        Probable cause: bug in .hi-boot file, or inconsistent .hi file
        Use -ddump-if-trace to get an idea of which file caused the error
    • In the expression: [| Null |]
      In an equation for ‘lift’: lift Null = [| Null |]
      In the instance declaration for ‘TH.Lift Value’
cabal: Leaving directory '/tmp/cabal-tmp-12259/aeson-1.2.4.0'
cabal: Error: some packages failed to install:
aeson-1.2.4.0 failed during the building phase. The exception was:
ExitFailure 1
http-conduit-2.3.1 depends on aeson-1.2.4.0 which failed to install.
idringen-0.1.0.3 depends on aeson-1.2.4.0 which failed to install.
idris-1.2.0 depends on aeson-1.2.4.0 which failed to install.

build separately,

Preprocessing library aeson-1.3.1.1...
[ 1 of 24] Compiling Data.Attoparsec.Time.Internal ( attoparsec-iso8601/Data/Attoparsec/Time/Internal.hs, dist/build/Data/Attoparsec/Time/Internal.o )
[ 2 of 24] Compiling Data.Attoparsec.Time ( attoparsec-iso8601/Data/Attoparsec/Time.hs, dist/build/Data/Attoparsec/Time.o )
[ 3 of 24] Compiling Data.Aeson.Types.Internal ( Data/Aeson/Types/Internal.hs, dist/build/Data/Aeson/Types/Internal.o )

Data/Aeson/Types/Internal.hs:399:17: error:
    • Can't find interface-file declaration for type constructor or class Language.Haskell.TH.Lib.ExpQ
        Probable cause: bug in .hi-boot file, or inconsistent .hi file
        Use -ddump-if-trace to get an idea of which file caused the error
    • In the expression: [| Null |]
      In an equation for ‘lift’: lift Null = [| Null |]
      In the instance declaration for ‘TH.Lift Value’
cabal: Leaving directory '/tmp/cabal-tmp-12422/aeson-1.3.1.1'
cabal: Error: some packages failed to install:
aeson-1.3.1.1 failed during the building phase. The exception was:
ExitFailure 1
@phadej

This comment has been minimized.

Contributor

phadej commented May 13, 2018

What OS this is on, how you installed GHC, do you use stack or cabal. Please tell all which might be relevant. This looks more like a bug somewhere else in a tool chain.

@pe200012

This comment has been minimized.

pe200012 commented May 21, 2018

This is on Windows 10.I installed GHC using cabal. I was trying to build Idris on windows. And it failed. I cannot understand why it failed as I am inexperienced.

@KrzysiekJ

This comment has been minimized.

KrzysiekJ commented Jun 4, 2018

The same issue on Fedora 27. Steps to reproduce:

mkdir tmp
cd tmp
cabal sandbox init
cabal install aeson

cabal --version returns:

cabal-install version 1.24.0.2
compiled using version 1.24.2.0 of the Cabal library 

ghc --version returns:

The Glorious Glasgow Haskell Compilation System, version 8.0.2

Those are versions installed from Fedora packages.

@bergmark

This comment has been minimized.

Collaborator

bergmark commented Jun 23, 2018

Are those non-standard builds of GHC? It seems like template-haskell support is missing. Maybe @juhp knows of any issues with GHC on fedora that causes issues for template haskell?

Can you try a binary distribution of GHC and see if it works there?

@juhp

This comment has been minimized.

Contributor

juhp commented Jun 23, 2018

@KrzysiekJ you have ghc-template-haskell-devel installed?

BTW I have a copr repo for idris:
https://copr.fedorainfracloud.org/coprs/petersen/idris/

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment